Home > Cannot Load > Ruby Cannot Load Such File Readline

Ruby Cannot Load Such File Readline


Teenage daughter refusing to go to school Drawing a torso with a head (using \draw) Why is the 'You talking to me' speech from the movie 'Taxi Driver' so famous? Boss sends a birthday message. Sign up to my free newsletter and I will share more goodies with you. During the untap step, can I copy a vehicle with Felhide Spiritbinder's Inspired trigger? this contact form

then gem_original_require path else spec = Gem::Specification.find { |s| s.activated? Then, run make && make install again. more hot questions question feed lang-rb about us tour help blog chat data legal privacy policy work here advertising info mobile contact us feedback Technology Life / Arts Culture / Recreation What could be possible reason?1Rails console not working with redgreen gem3Why can I use RMagick from irb but not rails console?4Rails console - process finished with exit code 01Why rails console http://stackoverflow.com/questions/9340497/cannot-load-such-file-readline-loaderror-when-running-heroku-create-stack


It's potentially faster but adds another C dependency to your Ruby and has it's own set of disadvantages (for example you cannot be sure your linux distribution ships with GNU readline And a global gem could interfere with another project if you're working on more than one. –davidkovsky May 19 '12 at 17:26 7 I don't think uninstalling ruby is really That's working now, thanks a million johnkoht, legend! –polarcare Apr 1 '13 at 22:22 Glad you got it working (sorry I didn't see your other messages until now). –johnkoht On Ubunutu you could do sudo apt-get install libreadline5-dev libncurses5-dev and then you will have to recompile readline which comes with your ruby source cd /ext/readline ruby extconf.rb make sudo make

Double quote value assignments stored in a CSV? Warning: NLS_LANG is not set. Show that the square matrix A is invertible Which word should I use for "to drive (a car)"? Rvm I'm new to Rails in general, this answer isn't quite as simple for me. :) –Only Bolivian Here Feb 18 '12 at 14:41 Simply add the line > gem

Use `bundle show [gemname]` to see where a bundled gem is installed.
Post-install message from rdoc:
Depending on your version of ruby, you may need to install ruby rdoc/ri I ran "sudo apt-get install libreadline6 libreadline6-dev" and installed them, but I still get the error unfortunately. –polarcare Apr 1 '13 at 21:59 johnkoht - when you say "then Not the answer you're looking for? Continued The versions of the software are ruby 1.9.3, rails 3.2.8 and rvm 1.14.11 I'm in my projects directory/folder, in my case that is [email protected]:~/reposrails/stress-faktor remember that while reading this post So

How do I deal with my current employer not respecting my decision to leave? Polyglot Anagrams Robbers' Thread What is the most someone can lose the popular vote by but still win the electoral college? HttpContext.Current.Request.Url doesn't return language code Can negative numbers be called large? pavan4information commented Mar 23, 2016 Now it could not found the bundler to find that /usr/local/lib/ruby/2.3.0/rubygems/dependency.rb:319:in to_specs': Could not find 'bundler' (>= 0.a) among 5 total gem(s) (Gem::LoadError)
Checked in 'GEM_PATH=/home/pavanvadrevu/.gem',

Rails Require Cannot Load Such File

The output I get is Requirements for Linux ( DISTRIB_ID=Ubuntu DISTRIB_RELEASE=12.04 DISTRIB_CODENAME=precise DISTRIB_DESCRIPTION="Ubuntu 12.04.1 LTS" ) NOTE: ‘ruby' represents Matz's Ruby Interpreter (MRI) (1.8.X, 1.9.X) This is the *original* / http://stackoverflow.com/questions/15752275/why-does-rails-console-say-cannot-load-such-file-readline Safety - Improve braking power in wet conditions C++ calculator using classes How to capture disk usage percentage of a partition as an integer? Rb-readline About the kanji 鱈 Is there still a way to prevent Trump from becoming president? Require Cannot Load Such File Loaderror Everything works fine, it's only when I run "rails c" or "rails console" I get the above error.

Browse other questions tagged ruby-on-rails ruby ruby-on-rails-4 or ask your own question. http://stevemattley.com/cannot-load/ruby-cannot-load-such-file.html share|improve this answer edited May 11 at 7:16 answered Sep 10 '15 at 9:53 d4rky 16413 Came from the first Google hit, saved by your answer. To install rbx and/or Ruby 1.9 head (MRI) (eg. 1.9.2-head), then you must install and use rvm 1.8.7 first. I can't run rails c or rails console. Ruby Readline

Double quote value assignments stored in a CSV? The final choice is of course yours but if you're running multiple projects or multiple Ruby versions on the same machine, I'd go with installing libreadline-dev or whatever your distribution requires, Firstly, I refetched the readline lib sudo apt-get install libreadline-dev Then I uninstalled ruby rvm remove 2.1.1 I installed ruby again rvm install 2.1.1 I told RVM to use the default navigate here Not the answer you're looking for?

For me, I followed the homebrew section. –Brian Rosedale Sep 26 '14 at 1:35 add a comment| 4 Answers 4 active oldest votes up vote 9 down vote Try putting rb-readline current community chat Stack Overflow Meta Stack Overflow your communities Sign up or log in to customize your list. WPScan member ethicalhack3r commented Apr 5, 2016 This issue is an implementation issue not a WPScan issue.

anyone know what is the problem here?

Why dd takes too long? i am waiting from a long time and trying other things doesnt making to work WPScan member ethicalhack3r commented Apr 5, 2016 Run the suggested command in the output: gpg --keyserver Alternating Fibonacci Find a mistake in the following bogus proof What legal documents are Italian citizens supposed to carry when traveling to Ireland? Even if it's not a production machine, there's a good chance you'll run into further problems because of old versions of certain libraries/dependencies.

Do humans have an ethical obligation to prevent animal on animal violence? fallback to US7ASCII. => true irb(main):027:0> require 'console_app' => true share|improve this answer answered Jul 28 '15 at 9:06 Carl 213 add a comment| Your Answer draft saved draft discarded Someone peeled an American flag sticker off of my truck. http://stevemattley.com/cannot-load/ruby-irb-cannot-load-such-file.html GO OUT AND VOTE Find a mistake in the following bogus proof Basic Geometric intuition, context is undergraduate mathematics My cat sat on my laptop, now the right side of my

you can create the file with the text editor that use, like or prefer, in my case I used emacs. $emacs .rvmrc then I added one line rvm use --create [email protected]_of_your_project Try gem install rb-readline and/or gem install --user-install rb-readline pavan4information commented Mar 23, 2016 that also i tried WPScan member ethicalhack3r commented Mar 23, 2016 And what was the output of I answered below. –polarcare Apr 1 '13 at 22:02 add a comment| 1 Answer 1 active oldest votes up vote 11 down vote accepted You need to have the readline libraries Can floyd like bridge really make guitar out of tune when not blocked but not used Can a text in Latin be understood by an educated Italian who never had any

Join them; it only takes a minute: Sign up no such file to load — readline up vote 38 down vote favorite 15 I am getting the following error: $script/console Loading How to truncate them form defined ones?0Rails 3 Rails Console Test.new doesn't work0rails generate ckeditor:install could not load generator2rails console (`require': cannot load such file) Hot Network Questions HttpContext.Current.Request.Url doesn't return Additional Dependencies: # For Ruby / Ruby HEAD (MRI, Rubinius, & REE), install the following: ruby: /usr/bin/apt-get install build-essential openssl libreadline6 libreadline6-dev curl git-core zlib1g zlib1g-dev libssl-dev libyaml-dev libsqlite3-dev sqlite3 libxml2-dev How to reply?

But if you do that, new developers on the same project have to know to do this too. We recommend upgrading to the latest Safari, Google Chrome, or Firefox. You should get requirements - Shows additional OS specific dependencies/requirementes for building various rubies. –Sayuj Jan 11 '12 at 20:24 what is the result of rvm -v –Sayuj Jan While doing so I got stuck at a very early stage in the documentation. $ rails console /home/tobias/.rvm/rubies/ruby-1.9.2-p180/lib/ruby/1.9.1/irb/completion.rb:9:in `require': no such file to load -- readline (LoadError) from /home/tobias/.rvm/rubies/ruby-1.9.2-p18080/lib/ruby/1.9.1/irb/completion.rb:9:in `'

But if you're trying to run just this one project, use "weird" platform (Windows), rb-readline is probably way to go. EDIT If you can't find the requirements option update your rvm. Is it possible for an diesel engine computer to detect (and prevent) a runaway condition? How would you model 'a sphere with a shell' like object?

I run "rvm use 1.9.3" it displays back "ruby 1.9.3p392 (2013-02-22 revision 39386) [i686-linux]". I think this should be set as the answer to this question! –Jon Cairns Oct 21 '12 at 8:25 add a comment| up vote 9 down vote This worked for me How does Gandalf end up on the roof of Isengard? asked 5 years ago viewed 17826 times active 2 years ago Upcoming Events 2016 Community Moderator Election ends Nov 22 Linked 0 Rails 3.1 console error 2 how to install “readline”

That is it!